Bug 1803241 (CVE-2020-10705) - CVE-2020-10705 undertow: Memory exhaustion issue in HttpReadListener via "Expect: 100-continue" header
Summary: CVE-2020-10705 undertow: Memory exhaustion issue in HttpReadListener via "Exp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10705
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1803243
TreeView+ depends on / blocked
 
Reported: 2020-02-14 19:04 UTC by Pedro Sampaio
Modified: 2021-10-14 14:35 UTC (History)
59 users (show)

Fixed In Version: Undertow 2.1.1.Final
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in Undertow where certain requests to the "Expect: 100-continue" header may cause an out of memory error. This flaw may potentially lead to a denial of service.
Clone Of:
Environment:
Last Closed: 2020-05-12 10:33:11 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2058 0 None None None 2020-05-11 20:10:54 UTC
Red Hat Product Errata RHSA-2020:2059 0 None None None 2020-05-11 20:13:59 UTC
Red Hat Product Errata RHSA-2020:2060 0 None None None 2020-05-11 20:16:57 UTC
Red Hat Product Errata RHSA-2020:2061 0 None None None 2020-05-11 20:20:12 UTC
Red Hat Product Errata RHSA-2020:2905 0 None None None 2020-07-23 07:04:39 UTC
Red Hat Product Errata RHSA-2020:3585 0 None None None 2020-08-31 15:40:55 UTC

Description Pedro Sampaio 2020-02-14 19:04:42 UTC
A flaw was found in Undertow. Certain requests to "Expect: 100-continue" header lead to out of memory issue potentially causing denial of service.

References:

https://issues.redhat.com/browse/UNDERTOW-1657

Comment 8 Chess Hazlett 2020-05-11 19:14:30 UTC
Mitigation:

There is currently no known mitigation for this security flaw.

Comment 9 errata-xmlrpc 2020-05-11 20:10:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:2058 https://access.redhat.com/errata/RHSA-2020:2058

Comment 10 errata-xmlrpc 2020-05-11 20:13:56 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:2059 https://access.redhat.com/errata/RHSA-2020:2059

Comment 11 errata-xmlrpc 2020-05-11 20:16:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:2060 https://access.redhat.com/errata/RHSA-2020:2060

Comment 12 errata-xmlrpc 2020-05-11 20:20:09 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2061 https://access.redhat.com/errata/RHSA-2020:2061

Comment 13 Product Security DevOps Team 2020-05-12 10:33:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10705

Comment 16 errata-xmlrpc 2020-07-23 07:04:36 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2905 https://access.redhat.com/errata/RHSA-2020:2905

Comment 17 errata-xmlrpc 2020-08-31 15:40:50 UTC
This issue has been addressed in the following products:

  EAP-CD 20 Tech Preview

Via RHSA-2020:3585 https://access.redhat.com/errata/RHSA-2020:3585


Note You need to log in before you can comment on or make changes to this bug.